package com.ruoyi.system.domain.guarantee;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 反担保基础信息对象 guarantee_info
 * 
 * @author boman
 * @date 2024-08-01
 */
public class GuaranteeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 反担保基础信息ID */
    private Long guaranteeInfoId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 反担保人姓名 */
    @Excel(name = "反担保人姓名")
    private String guaranteeName;

    /** 反担保人身份证号 */
    @Excel(name = "反担保人身份证号")
    private String guaranteeIdCard;

    /** 反担保人手机号 */
    @Excel(name = "反担保人手机号")
    private String guaranteePhone;

    /** 1:反担保人 2：反担保企业 */
    @Excel(name = "1:反担保人 2：反担保企业")
    private String type;

    /**
     * 反担保附件列表
     */
    private List<GuaranteeInfoFj> guaranteeInfoFjList;

    public List<GuaranteeInfoFj> getGuaranteeInfoFjList() {
        return guaranteeInfoFjList;
    }

    public void setGuaranteeInfoFjList(List<GuaranteeInfoFj> guaranteeInfoFjList) {
        this.guaranteeInfoFjList = guaranteeInfoFjList;
    }

    public void setGuaranteeInfoId(Long guaranteeInfoId)
    {
        this.guaranteeInfoId = guaranteeInfoId;
    }

    public Long getGuaranteeInfoId() 
    {
        return guaranteeInfoId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setGuaranteeName(String guaranteeName) 
    {
        this.guaranteeName = guaranteeName;
    }

    public String getGuaranteeName() 
    {
        return guaranteeName;
    }
    public void setGuaranteeIdCard(String guaranteeIdCard) 
    {
        this.guaranteeIdCard = guaranteeIdCard;
    }

    public String getGuaranteeIdCard() 
    {
        return guaranteeIdCard;
    }
    public void setGuaranteePhone(String guaranteePhone) 
    {
        this.guaranteePhone = guaranteePhone;
    }

    public String getGuaranteePhone() 
    {
        return guaranteePhone;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("guaranteeInfoId", getGuaranteeInfoId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("guaranteeName", getGuaranteeName())
            .append("guaranteeIdCard", getGuaranteeIdCard())
            .append("guaranteePhone", getGuaranteePhone())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
